# Uses of Class
org.apache.datasketches.sampling.VarOptItemsSamples

Packages that use VarOptItemsSamples
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of VarOptItemsSamples in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return VarOptItemsSamples
Modifier and Type
Method
Description
`VarOptItemsSamples<T>`
VarOptItemsSketch.`getSketchSamples()`
Gets a result iterator object.